Oracle Access Manager 11g Prerequisites for Linux

1.  Minimum System Requirements

1.1.  Supported Operating Systems

1.1.1. Oracle Linux 5 UL5+ (32-bit and 64-bit)

1.1.2. Oracle Linux 6 UL1+ (64-bit only)

1.1.3. Red Hat Enterprise Linux 5 UL5+ (32-bit and 64-bit)

1.1.4. Red Hat Enterprise Linux 6 UL1+ (64-bit only)

1.1.5. SUSE Linux 10 SP4+ (32-bit and 64-bit)

1.1.6. SUSE Linux 11 (32-bit and 64-bit)

1.2.  *RAM: 8 GB+

1.3.  File System Mount Requirements:

*Software Mount: One file system mount with at least 80GB free space to store the software

TMPFS space: 4GB+ (Minimum: 1 GB)

*SWAP: 8GB+

1.4.  OS User Access Requirements:

1.4.1. OS user to own the software mount

1.4.2. Root user access must be accessible for the installation.

1.5.  IPv6 must be disabled on your network adapter before OAM can be installed. IPv6 is not supported with OAM.

*RAM and File System Mount Specifications: For production systems, please consult PITSS or Oracle on sizing recommendations. The amount of RAM, HDD Space for SWAP and Software Mounts will vary depending on end-user usage and application characteristics.

2.  Other Linux OS Requirements

2.1.  The operating system needs to set Native POSIX Threads Library (NPTL) as the default threads-implementation. To check for us, run the following command:

getconf GNU_LIBPTHREAD_VERSION

The expected results should be: NPTL 2.3.4 or higher.

2.2.  Open File Limits:

“soft nofile” should be atleast 4096
“hard nofile” should be atleast 4096 (65535 is recommended)

3.  Linux OS Package Requirements

3.1. RedHat Enterprise Linux 4 64-bit

The minimum versions of the packages below will need to be installed before the OAM 11g installation can begin:

Package Name

binutils-2.15.92.0.2

compat-libstdc++-33-3.2.3-x86_64

compat-libstdc++-33-3.2.3 (32-bit)

elfutils-libelf-0.97

elfutils-libelf-devel-0.97

gcc-3.4.5

gcc-c++-3.4.5

glibc-2.3.4-2.19

glibc-2.3.4-2.19 (32-bit)

glibc-common-2.3.4

glibc-devel-2.3.4

glibc-devel-2.3.4 (32-bit)

libaio-0.3.105

libaio-0.3.105 (32-bit)

libaio-devel-0.3.105

libgcc-3.4.5

libgcc-3.4.5 (32-bit)

libstdc++-3.4.5

libstdc++-3.4.5 (32-bit)

libstdc++-devel 3.4.5

make-3.80

sysstat-5.0.5

openmotif21-2.1.30-11.RHEL4.4

openmotif-2.2.3

For more information from Oracle on required packages please go to: http://download.oracle.com/docs/html/E18558_01/fusion_requirements.htm#BABGBCIG

3.2. Red Hat and Oracle Enterprise Linux 5 64-bit:

The minimum versions of the packages below will need to be installed before the OAM 11g installation can begin:

Package Name

binutils-2.17.50.0.6

compat-libstdc++-33-3.2.3-x86_64

compat-libstdc++-33-3.2.3-i386

elfutils-libelf-0.125

elfutils-libelf-devel-0.125

gcc-4.1.1

gcc-c++-4.1.1

glibc-2.5-12-x86_64

glibc-2.5-12-i686

glibc-common-2.5

glibc-devel-2.5-x86_64

glibc-devel-2.5-12-i386

libaio-0.3.106-x86_64

libaio-0.3.106-i386

libaio-devel-0.3.106

libgcc-4.1.1-x86_64

libgcc-4.1.1-i386

libstdc++-4.1.1-x86_64

libstdc++-4.1.1-i386

libstdc++-devel-4.1.1

make-3.81

sysstat-7.0.0

openmotif-2.2.3

openmotif22-2.2.3

For more information from Oracle on required packages please go to: http://download.oracle.com/docs/html/E18558_01/fusion_requirements.htm#BABGBCIG

3.3. Red Hat and Oracle Enterprise Linux 6 64-bit:

The minimum versions of the packages below will need to be installed before the OAM 11g installation can begin:

Package Name

binutils-2.20.51.0.2-5.28.el6

compat-libcap1-1.10-1

compat-libstdc++-33-3.2.3-69.el6

compat-libstdc++-33-3.2.3-i386

gcc-4.4.4-13.el6

gcc-c++-4.4.4-13.el6

glibc-2.12-1.7.el6 for x86_64

glibc-2.12-1.7.el6 for i686

glibc-devel-2.12-1.7.el6 for i686

libaio-0.3.107-10.el6

libaio-devel-0.3.107-10.el6

libgcc-4.4.4-13.el6

libstdc++-4.4.4-13.el6 for x86_64

libstdc++-4.4.4-13.el6 for i686

libstdc++-devel-4.4.4-13.el6

libXext for i686

openmotif-2.2.3

openmotif22-2.2.3

sysstat-9.0.4-11.el6

For more information from Oracle on required packages please go to: http://download.oracle.com/docs/html/E18558_01/fusion_requirements.htm#BABGBCIG

3.4. SUSE Linux 10 32-bit:

The minimum versions of the packages below will need to be installed before the OAM 11g installation can begin:

Package Name

gcc-4.1.0-28.4

glibc-devel-2.4-31.2

gcc-c++-4.1.0-28.4

libaio-0.3.104

libaio-devel-0.3.104

libgcc-4.1.0-28.4

libstdc++-devel-4.1.0-28.4

libstdc++-4.1.0-28.4

binutils-2.16.91.0.5-23

compat-libstdc++-5.0.7-22.2

compat-2006.1.25-11.2

make-3.80-202.2

openmotif21-libs-2.1.30

openmotif-2.2.3

* To download “openmotif” packages, please go to http://ftp.novell.com/partners/oracle/sles-11/openmotif_FUSION_SLES11.tgz. This is a single zip file from Novell and includes a README file which details about package names, versions, and source.

For more information from Oracle on required packages please go to: http://download.oracle.com/docs/html/E18558_01/fusion_requirements.htm#BABGBCIG

3.5. SUSE Linux 10 64-bit:

The minimum versions of the packages below will need to be installed before the OAM 11g installation can begin:

Package Name

binutils-2.16.91.0.5

compat-libstdc++-5.0.7-22.2

gcc-4.1.0

gcc-c++-4.1.0

glibc-2.4-31.2

glibc-32bit-2.4-31.2 (32-bit)

glibc-devel-2.4

glibc-devel-32bit-2.4 (32-bit)

libaio-0.3.104

libaio-devel-0.3.104

libelf-0.8.5

libgcc-4.1.0

libstdc++-4.1.0

libstdc++-devel-4.1.0

make-3.80

sysstat-6.0.2

openmotif21-libs-2.1.30

openmotif-2.2.3 (64-bit)

* To download “openmotif” packages, please go to http://ftp.novell.com/partners/oracle/sles-11/openmotif_FUSION_SLES11.tgz. This is a single zip file from Novell and includes a README file which details about package names, versions, and source.

For more information from Oracle on required packages please go to: http://download.oracle.com/docs/html/E18558_01/fusion_requirements.htm#BABGBCIG

3.6. SUSE Linux 11 32-bit:

The minimum versions of the packages below will need to be installed before the OAM 11g installation can begin:

Package Name

binutils-2.19-11.28

gcc-4.3-62.198

gcc-c++-4.3-62.198

glibc-devel-2.9-13.2

libaio-0.3.104-140.22

libaio-devel-0.3.104-140.22

libgcc43-4.3.3_20081022-11.18

libstdc++43-4.3.3_20081022-11.18

libstdc++43-devel-4.3.3_20081022-11.18

make-3.81-128.20

sysstat-8.1.5-7.8

openmotif22-libs-2.2.4-138.17*

openmotif-2.3.1-3.13*

openmotif21-libs-2.1.30MLI4-143.9*

openmotif-libs-2.3.1-3.13*

openmotif-devel-2.3.1-3.13*

* To download “openmotif” packages, please go to http://ftp.novell.com/partners/oracle/sles-11/openmotif_FUSION_SLES11.tgz. This is a single zip file from Novell and includes a README file which details about package names, versions, and source.

For more information from Oracle on required packages please go to: http://download.oracle.com/docs/html/E18558_01/fusion_requirements.htm#BABGBCIG

3.7. SUSE Linux 11 64-bit:

The minimum versions of the packages below will need to be installed before the OAM 11g installation can begin:

Package Name

binutils-2.19-11.28

gcc-4.3-62.198

gcc-c++-4.3-62.198

gcc-32bit-4.3

glibc-2.9-13.2

glibc-32bit 2.9-13.2

glibc-devel 2.9

glibc-devel-32bit-2.9-13.2 (32-bit)

ksh-93t

libaio-32bit-0.3.104

libaio-0.3.104-140.22

libaio-devel-0.3.104-140.22

libaio-devel-32bit-0.3.104 (32-bit)

libgcc43-4.3.3_20081022

libstdc++33-3.3.3

libstdc++33-32bit-3.3.3

libstdc++43-4.3.3_20081022-11.18

libstdc++-devel-4.3.3

libstdc++43 4.3.3_20081022-11.18

make-3.81

sysstat-8.1.5-7.8

openmotif 2.2.3

openmotif22 2.2.3

* To download “openmotif” packages, please go to http://ftp.novell.com/partners/oracle/sles-11/openmotif_FUSION_SLES11.tgz. This is a single zip file from Novell and includes a README file which details about package names, versions, and source.

For more information from Oracle on required packages please go to: http://download.oracle.com/docs/html/E18558_01/fusion_requirements.htm#BABGBCIG

4.  Database Requirements

4.1.  Database Software

A database for OAM 11g will be needed to store the OAM Repository

Supported Database Versions:

10.2.0.4+

11.1.0.7+

11.2.0.1+

4.2.  A database user with DBA/SYS privileges will need to be accessible.

4.3.  The file tnsnames.ora containing the SID of the database will need to be placed in the server/client in the same location as the other prerequisites.

4.4.  Database Character Set: AL32UTF8

4.5.  Database Parameter Requirements:

·  ag_tm_rpcoesses >= 1

·  db_cache_size >=144M

·  java_pool_size >= 120M

·  shared_pool_size >= 175M

·  open_cursors >= 500

·  db_block_size: 8KB

·  processes >= 500

·  pga_aggregate_target >= 96M

5.  Software Requirements

5.1.  Java JDK 1.7.0_17 (or the latest version of Java JDK 7)

5.1.1. Go to http://www.oracle.com/technetwork/java/javase/downloads/jdk7-downloads-1880260.html

5.1.2. Click on “jdk-7u17-linux-x64.tar.gz”.

NOTE: This is the page to download the latest JDK version.

clip_image001[4]

NOTE: Java JDK  1.7.0_7 is the minimum required for OAM 11.1.1.7.0 if using Oracle WebLogic Server 10.3.6, but we recommend the latest version of JDK (1.7.0_17+) as it is more current and contains critical security updates.

 

5.2.  WebLogic 10.3.6

5.2.1. Can be downloaded from: http://www.oracle.com/technetwork/middleware/ias/downloads/wls-main-097127.html

5.2.2. After accepting the license agreement, scroll down to Oracle WebLogic Server 10.3.6. Do NOT install 12c. You will see a plus box next to “Oracle Weblogic Server 10.3.6”. Click the plus box next to “See all files” and more options will be available.

clip_image003[3]

5.2.3. The “Oracle WebLogic Server 11gR1 (10.3.6) + Coherence Package Installer” is the recommended installer of choice.

5.2.4. Please download the file that corresponds to your system OS.  Note for 64-bit Linux and Windows, the “Generic” Installer will need to be downloaded.

clip_image005[3]

 

5.3.  Oracle Identity and Access Management 11.1.1.7.0

5.3.1. Can be downloaded from:

http://www.oracle.com/technetwork/middleware/downloads/oid-11g-161194.html

After accepting the license agreement, please download the setup files that correspond to your system OS.

clip_image007[3]

5.4.  Oracle Identity Management 11.1.1.7.0

5.4.1. Can be downloaded from: http://www.oracle.com/technetwork/middleware/downloads/oid-11g-161194.html
After accepting the license agreement, please download the setup file that pertains to your operating system.

clip_image009[3]

 

 

5.5.  Repository Creation Utility 11.1.1.7.0

5.5.1. Can be downloaded from:

http://www.oracle.com/technetwork/middleware/bi-enterprise-edition/downloads/bi-downloads-1923016.html

5.5.2. Scroll down until you see “Required Additional Software”. In this section, it will show download links for the Repository Creation Utility 11.1.1.7.0. NOTE: We will not be installing Oracle Business Intelligence 11g.

5.5.3. After accepting the license agreement, please download the setup files that correspond to your system OS.

clip_image010[4]

 

 

5.6.  Oracle WebTier Utilities 11.1.1.7

5.6.1. Can be downloaded from:

http://www.oracle.com/technetwork/java/webtier/downloads/index2-303202.html

clip_image011[4]

 

 

5.7.  Oracle Access Manager WebGates 11.1.1.7.0

5.7.1. Can be downloaded from:

http://www.oracle.com/technetwork/middleware/downloads/oid-11g-161194.html

After accepting the license agreement, please download the setup files that correspond to your system OS.

clip_image013[4]

If you have any questions on the above, please contact PITSS.